Page MenuHomePhabricator

reduce space taken by TOC in new print styles
Closed, ResolvedPublic1 Story Points

Description

Problem

The new styles for table of content in new print styles take up more space than existing one. the space is not justified for the use of the TOC.

Solution

Tighten up the TOC by reducing font size and paddings

Spec

.vector-experimental-print-styles #toc > ul > li {
margin-bottom:4px;
}

.vector-experimental-print-styles #toc li.toclevel-1 > a {
font-size:10pt;
}

.vector-experimental-print-styles #toc {
    page-break-before: avoid;
    page-break-after: avoid;
}

Event Timeline

Nirzar created this task.Aug 21 2017, 6:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 21 2017, 6:33 PM
Nirzar removed the point value for this task.Aug 21 2017, 6:34 PM
Jdlrobson set the point value for this task to 1.Aug 22 2017, 4:10 PM

Change 373120 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/Vector@master] Adjust TOC print styles

https://gerrit.wikimedia.org/r/373120

Change 373120 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Adjust TOC print styles

https://gerrit.wikimedia.org/r/373120

@Nirzar to you for sign off. It's been updated on staging.

Nirzar closed this task as Resolved.Aug 23 2017, 4:49 PM

Macro votecat: looks  good